/*****************************************************************************/
/*                                                                           */
/*  Hyperpanel OS                       File "include/hypstring.h"           */
/*  System memory procedure prototypes.                                      */
/*                                                                           */
/*  Author : AL                         Last modification : 16/02/2017       */
/*                                                                           */
/*  (c) Copyright 2000,2001 Hyperpanel Lab, All Rights Reserved              */
/*  IDDN.FR.001.320001.06.S.P.1990.000.10000                                 */
/*                                                                           */
/*****************************************************************************/


/*  Some explanations ========================================================


         1  Defines
         2  Structures and typedefs
         3  Public variables
         4  Prototypes of public procedures


*/


#ifndef HYPSTRING_H                    /* If this file is not already        */
#define HYPSTRING_H                    /* included, include it.              */


/*
    1    Defines
    ____________
*/


/*
    2    Structures and typedefs
    ____________________________
*/


/*
    3    Public variable
    ____________________
*/


/*
    4    Prototypes of public procedures
    ____________________________________
*/


#ifdef VM_ARMV6                        /* _WORK_ menage string.h             */

typedef unsigned int size_t          ;

void  *memset               ( char *       , int          , unsigned int     );
void  *memcpy               ( void *       , const void * , unsigned int     );
void  *memmove              ( void *       , const void * , unsigned int     );
int    memcmp               ( const void * , const void * , unsigned int     );
int    strcmp               ( const char * , const char *                    );
int    strncmp              ( const char * , const char * , int              );
char  *strcpy               ( char *       , const char *                    );
char  *strncpy              ( char *       , const char * , size_t           );
size_t strlen               ( const char *                                   );
char  *strcat               ( char *       , const char *                    );
char  *strncat              ( char *       , const char * , int              );
char  *strchr               ( const char * , int                             );
char  *strrchr              ( const char * , int                             );

#endif                                 /* _WORK_ menage string.h             */

#endif                                 /* End of HYPSTRING_H.                */
